summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/py-cpuinfo/py-cpuinfo-0.2.3.ebuild')
-rw-r--r--dev-python/py-cpuinfo/py-cpuinfo-0.2.3.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/dev-python/py-cpuinfo/py-cpuinfo-0.2.3.ebuild b/dev-python/py-cpuinfo/py-cpuinfo-0.2.3.ebuild
new file mode 100644
index 00000000000..c6b4935a39d
--- /dev/null
+++ b/dev-python/py-cpuinfo/py-cpuinfo-0.2.3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{3,4,5}} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Get CPU info with pure Python 2 & 3"
+HOMEPAGE="https://github.com/workhorsy/py-cpuinfo http://pypi.python.org/pypi/py-cpuinfo"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${PYTHON}" test_suite.py -v || die
+}